
TYPO3.Flow - Feature # 34464

Status: Resolved Priority: Should have
Author: Andreas Förthner Category: Security
Created: 2012-03-02 Assigned To: Andreas Förthner
Updated: 2012-04-27 Due date:
PHP Version:
Has patch: No
Complexity:
Subject: Content security acls should follow the same concept as method security acls
Description

Currently method security acls follow a whitelist approach and content security acls follow a blacklist approach. This should be
streamline to a whiteliste approach for both.

Associated revisions
Revision 6cdc131b - 2012-04-26 21:33 - Andreas Förthner

[!!!][FEATURE] Turn content security acl logic upside down

This change realizes a whitelist approach for content
security acls. By this content security acls work with
the same logic as method security.

Change-Id: I0ebe2325da57d0168604cb6a46e0026c1032eb02
Releases: 1.1
Resolves: #34464

History
#1 - 2012-03-02 15:58 - Andreas Förthner
- Category set to Security

#2 - 2012-03-15 20:07 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9675

#3 - 2012-04-11 15:38 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9675

#4 - 2012-04-20 15:05 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9675
#5 - 2012-04-20 22:50 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9675

#6 - 2012-04-26 17:32 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9675

#7 - 2012-04-26 21:43 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9675

#8 - 2012-04-27 14:38 - Andreas Förthner
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:6cdc131bbc480fe6999aaf001a1143da504e5948.
